require 'yaml'

class Antimail
	def self.config
		@config ||= begin
			if File.exist?('/etc/antimail.yml') then
				YAML.load_file('/etc/antimail.yml')
			elsif File.exist?('antimail.yml') then
				YAML.load_file('antimail.yml')
			else
				puts 'No config file. Using defaults'
				{'domains' => [], 'stdport' => 2026, 'myport' => 2026, 'localregistrations' => false}
			end
		end
	end
end